--- Check for CoronaRegions and ask if regions should be deactivated

fn testForCoronaRegions = (
	if (classof CoronaRenderer == RendererClass) then (
		format "Checking for Corona VFB regions..."
			if ((renderers.current.system_vfbRegions.count > 3) and (renderers.current.system_vfbRegions_enabled)) then (
				if queryBox ("There are "+(renderers.current.system_vfbRegions.count/3-1) as string+" region(s) defined.\nDo you want to disable them?") title:"Corona VFB regions warning" then (
						format "Disabling Corona VFB regions..."
						renderers.current.system_vfbRegions_enabled=false
						messagebox "Corona VFB regions disabled."
				)
		)
	)
	format "done.\n"
)

(
	format "Check for Corona VFB regions active.\n"
	callbacks.removeScripts id:#CoronaRegionsWarn
	callbacks.addScript #filePostOpen "testForCoronaRegions()" id:#CoronaRegionsWarn
)
